#!/bin/sh

### find java executable
if [ -z "$JAVA_HOME" ]; then
    if which java > /dev/null 2>&1; then
        JAVA=`which java`
    else
        echo "Couldn't find java; please set JAVA_HOME to a valid location"
        exit 1
    fi
else
    JAVA="$JAVA_HOME/bin/java"
    [ ! -f "$JAVA" ] && JAVA="$JAVA_HOME/jre/bin/java"
    if [ ! -f "$JAVA" ]; then
        echo "Specified JAVA_HOME, $JAVA_HOME, is missing java executable, please correct."
        exit 1
    fi
fi
JVM_ARGS="--add-opens=java.base/java.lang=ALL-UNNAMED --add-opens=java.base/java.lang.invoke=ALL-UNNAMED"

"$JAVA" $JVM_ARGS -jar flexnetlsadmin.jar "$@"
